
VEEAM-MIB DEFINITIONS ::= BEGIN

IMPORTS
   enterprises
      FROM RFC1155-SMI
   TRAP-TYPE 
      FROM RFC-1215
   OBJECT-TYPE 
      FROM RFC-1212
   DisplayString 
      FROM RFC1213-MIB; 

veeam         OBJECT IDENTIFIER ::= { enterprises 31023 }
products      OBJECT IDENTIFIER ::= { veeam 1 }
backup        OBJECT IDENTIFIER ::= { products 1 }
traps         OBJECT IDENTIFIER ::= { backup 1 }

onBackupJobCompleted TRAP-TYPE 
   ENTERPRISE traps 
   VARIABLES { backupJobId, backupJobName, backupJobResult, backupJobComment }
   DESCRIPTION 
      "This trap is sent on backup/replica job completed." 
   ::= 1 

onVmBackupCompleted TRAP-TYPE 
   ENTERPRISE traps 
   VARIABLES { backupJobName, vmName, sourceHostName, vmBackupResult, vmBackupComment }
   DESCRIPTION 
      "This trap is sent on vm backup/replica completed." 
   ::= 2 

backupJobId OBJECT-TYPE
   SYNTAX     DisplayString (SIZE (0..255))
   ACCESS     read-only 
   STATUS     mandatory
   DESCRIPTION
      "Backup job id."
   ::= { backup 101 }

backupJobName OBJECT-TYPE
   SYNTAX     DisplayString (SIZE (0..255)) 
   ACCESS     read-only 
   STATUS     mandatory
   DESCRIPTION
      "Backup job name."
   ::= { backup 102 }
   
backupJobResult OBJECT-TYPE
   SYNTAX     DisplayString (SIZE (0..255)) 
   ACCESS     read-only 
   STATUS     mandatory
   DESCRIPTION
      "Backup job result."
   ::= { backup 103 }
   
backupJobComment OBJECT-TYPE
   SYNTAX     DisplayString (SIZE (0..255)) 
   ACCESS     read-only 
   STATUS     mandatory
   DESCRIPTION
      "Backup job comment."
   ::= { backup 104 }

vmName OBJECT-TYPE
   SYNTAX     DisplayString (SIZE (0..255)) 
   ACCESS     read-only 
   STATUS     mandatory
   DESCRIPTION
      "VM name."
   ::= { backup 105 }

sourceHostName OBJECT-TYPE
   SYNTAX     DisplayString (SIZE (0..255)) 
   ACCESS     read-only 
   STATUS     mandatory
   DESCRIPTION
      "Source host name."
   ::= { backup 106 }

vmBackupResult OBJECT-TYPE
   SYNTAX     DisplayString (SIZE (0..255)) 
   ACCESS     read-only 
   STATUS     mandatory
   DESCRIPTION
      "VM backup result."
   ::= { backup 107 }

vmBackupComment OBJECT-TYPE
   SYNTAX     DisplayString (SIZE (0..255)) 
   ACCESS     read-only 
   STATUS     mandatory
   DESCRIPTION
      "VM backup comment."
   ::= { backup 108 }

END
